Name: H5Sget_select_type
Signature:
  H5S_sel_type `H5Sget_select_type`(hid_t `space_id`)
Purpose:
  Determines the type of the dataspace selection.
Description:
  `H5Sget_select_type` retrieves the type of selection currently defined for the dataspace `space_id`.
Parameters:

hid_t `space_id` | Dataspace identifier.

Returns:
  Returns the dataspace selection type, a value of the enumerated datatype `H5S_sel_type`, if successful. Valid return values are as follows:

  `H5S_SEL_NONE` | No selection is defined.
  `H5S_SEL_POINTS` | A sequence of points is selected.
  `H5S_SEL_HYPERSLABS` | A hyperslab or compound hyperslab is selected.
  `H5S_SEL_ALL` | The entire dataset is selected.

  Otherwise returns a negative value.
Fortran90 Interface: h5sget_select_type_f

      SUBROUTINE h5sget_select_type_f(space_id, type, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: type           ! Selection type
                                               ! Valid values are:
                                               !    H5S_SEL_ERROR_F
                                               !    H5S_SEL_NONE_F
                                               !    H5S_SEL_POINTS_F
                                               !    H5S_SEL_HYPERSLABS_F
                                               !    H5S_SEL_ALL_F
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5sget_select_type_f

History:

Release | C
1.6.0 | Function introduced in this release.